summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-02-15 06:54:31 +0000
committerMike Frysinger <vapier@gentoo.org>2015-02-15 06:54:31 +0000
commitafb5d1e1221dd80711a7960179663b6309d18c27 (patch)
treebec983afb7e51730877f24c72de0cb35769b4a3c /eclass/toolchain.eclass
parentSwitch to matching gcc versions as the SLOT in older versions is changing. (diff)
downloadgentoo-2-afb5d1e1221dd80711a7960179663b6309d18c27.tar.gz
gentoo-2-afb5d1e1221dd80711a7960179663b6309d18c27.tar.bz2
gentoo-2-afb5d1e1221dd80711a7960179663b6309d18c27.zip
reland multislot logic now that the three packages impacted have been updated
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index d34fff93032f..838da9373b06 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.653 2015/02/10 07:22:00 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.654 2015/02/15 06:54:31 vapier Exp $
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -155,7 +155,7 @@ fi
IUSE+=" ${IUSE_DEF[*]}"
# Support upgrade paths here or people get pissed
-if use multislot ; then
+if ! tc_version_is_at_least 4.6 || is_crosscompile || use multislot ; then
SLOT="${GCC_CONFIG_VER}"
else
SLOT="${GCC_BRANCH_VER}"